MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Typedefs | Functions
FILTER_SO

## Data Structures
struct | _FILTER_SO_
| Defines the second-order filter (FILTER_SO) object. More...
struct | _FILTER_SO_Obj_
| Defines the second-order filter (FILTER_SO) object. More...

## Typedefs
typedef struct _FILTER_SO_ | FILTER_SO_Obj
| Defines the second-order filter (FILTER_SO) object. More...
typedef struct _FILTER_SO_Obj_ * | FILTER_SO_Handle
| Defines the second-order filter (FILTER_SO) handle. More...
typedef struct _FILTER_SO_Obj_ | FILTER_SO_Obj
| Defines the second-order filter (FILTER_SO) object. More...
typedef struct _FILTER_SO_Obj_ * | FILTER_SO_Handle
| Defines the second-order filter (FILTER_SO) handle. More...

## Functions
static _iq | FILTER_SO_get_a1 (FILTER_SO_Handle handle)
| Gets the second-order filter denominator coefficient a1. More...
static _iq | FILTER_SO_get_a2 (FILTER_SO_Handle handle)
| Gets the second-order filter denominator coefficient a2. More...
static _iq | FILTER_SO_get_b0 (FILTER_SO_Handle handle)
| Gets the second-order filter numerator coefficient b0. More...
static _iq | FILTER_SO_get_b1 (FILTER_SO_Handle handle)
| Gets the second-order filter numerator coefficient b1. More...
static _iq | FILTER_SO_get_b2 (FILTER_SO_Handle handle)
| Gets the second-order filter numerator coefficient b2. More...
static _iq | FILTER_SO_get_x1 (FILTER_SO_Handle handle)
| Gets the second-order filter input value at time sample n=-1. More...
static _iq | FILTER_SO_get_x2 (FILTER_SO_Handle handle)
| Gets the second-order filter input value at time sample n=-2. More...
static _iq | FILTER_SO_get_y1 (FILTER_SO_Handle handle)
| Gets the second-order filter output value at time sample n=-1. More...
static _iq | FILTER_SO_get_y2 (FILTER_SO_Handle handle)
| Gets the second-order filter output value at time sample n=-2. More...
void | FILTER_SO_getDenCoeffs (FILTER_SO_Handle handle, _iq *pa1, _iq *pa2)
| Gets the second-order filter denominator coefficients. More...
void | FILTER_SO_getInitialConditions (FILTER_SO_Handle handle, _iq *px1, _iq *px2, _iq *py1, _iq *py2)
| Gets the initial conditions of the second-order filter. More...
void | FILTER_SO_getNumCoeffs (FILTER_SO_Handle handle, _iq *pb0, _iq *pb1, _iq *pb2)
| Gets the second-order filter numerator coefficients. More...
FILTER_SO_Handle | FILTER_SO_init (void *pMemory, const size_t numBytes)
| Initializes the second-order filter. More...
static _iq | FILTER_SO_run (FILTER_SO_Handle handle, const _iq inputValue)
| Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] + b2*x[n-2] - a1*y[n-1] - a2*y[n-2]. More...
static _iq | FILTER_SO_run_form_0 (FILTER_SO_Handle handle, const _iq inputValue)
| Runs a simplified second-order filter of the form y[n] = b0*x[n] - a1*y[n-1] - a2*y[n-2]. More...
static _iq | FILTER_SO_run_form_1 (FILTER_SO_Handle handle, const _iq inputValue)
| Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] - a1*y[n-1] - a2*y[n-2]. More...
static void | FILTER_SO_set_a1 (FILTER_SO_Handle handle, const _iq a1)
| Sets the second-order filter denominator coefficient a1. More...
static void | FILTER_SO_set_a2 (FILTER_SO_Handle handle, const _iq a2)
| Sets the second-order filter denominator coefficient a2. More...
static void | FILTER_SO_set_b0 (FILTER_SO_Handle handle, const _iq b0)
| Sets the second-order filter numerator coefficient b0. More...
static void | FILTER_SO_set_b1 (FILTER_SO_Handle handle, const _iq b1)
| Sets the second-order filter numerator coefficient b1. More...
static void | FILTER_SO_set_b2 (FILTER_SO_Handle handle, const _iq b2)
| Sets the second-order filter numerator coefficient b2. More...
static void | FILTER_SO_set_x1 (FILTER_SO_Handle handle, const _iq x1)
| Sets the second-order filter input value at time sample n=-1. More...
static void | FILTER_SO_set_x2 (FILTER_SO_Handle handle, const _iq x2)
| Sets the second-order filter input value at time sample n=-2. More...
static void | FILTER_SO_set_y1 (FILTER_SO_Handle handle, const _iq y1)
| Sets the second-order filter output value at time sample n=-1. More...
static void | FILTER_SO_set_y2 (FILTER_SO_Handle handle, const _iq y2)
| Sets the second-order filter output value at time sample n=-2. More...
void | FILTER_SO_setDenCoeffs (FILTER_SO_Handle handle, const _iq a1, const _iq a2)
| Sets the second-order filter denominator coefficients. More...
void | FILTER_SO_setInitialConditions (FILTER_SO_Handle handle, const _iq x1, const _iq x2, const _iq y1, const _iq y2)
| Sets the initial conditions of the second-order filter. More...
void | FILTER_SO_setNumCoeffs (FILTER_SO_Handle handle, const _iq b0, const _iq b1, const _iq b2)
| Sets the second-order filter numerator coefficients. More...
void | FILTER_SO_getDenCoeffs (FILTER_SO_Handle handle, float_t *pa1, float_t *pa2)
| Gets the second-order filter denominator coefficients. More...
void | FILTER_SO_getInitialConditions (FILTER_SO_Handle handle, float_t *px1, float_t *px2, float_t *py1, float_t *py2)
| Gets the initial conditions of the second-order filter. More...
void | FILTER_SO_getNumCoeffs (FILTER_SO_Handle handle, float_t *pb0, float_t *pb1, float_t *pb2)
| Gets the second-order filter numerator coefficients. More...
static float_t | FILTER_SO_run (FILTER_SO_Handle handle, const float_t inputValue)
| Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] + b2*x[n-2] - a1*y[n-1] - a2*y[n-2]. More...
static float_t | FILTER_SO_run_form_0 (FILTER_SO_Handle handle, const float_t inputValue)
| Runs a simplified second-order filter of the form y[n] = b0*x[n] - a1*y[n-1] - a2*y[n-2]. More...
static float_t | FILTER_SO_run_form_1 (FILTER_SO_Handle handle, const float_t inputValue)
| Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] - a1*y[n-1] - a2*y[n-2]. More...
static void | FILTER_SO_set_a1 (FILTER_SO_Handle handle, const float_t a1)
| Sets the second-order filter denominator coefficient a1. More...
static void | FILTER_SO_set_a2 (FILTER_SO_Handle handle, const float_t a2)
| Sets the second-order filter denominator coefficient a2. More...
static void | FILTER_SO_set_b0 (FILTER_SO_Handle handle, const float_t b0)
| Sets the second-order filter numerator coefficient b0. More...
static void | FILTER_SO_set_b1 (FILTER_SO_Handle handle, const float_t b1)
| Sets the second-order filter numerator coefficient b1. More...
static void | FILTER_SO_set_b2 (FILTER_SO_Handle handle, const float_t b2)
| Sets the second-order filter numerator coefficient b2. More...
static void | FILTER_SO_set_x1 (FILTER_SO_Handle handle, const float_t x1)
| Sets the second-order filter input value at time sample n=-1. More...
static void | FILTER_SO_set_x2 (FILTER_SO_Handle handle, const float_t x2)
| Sets the second-order filter input value at time sample n=-2. More...
static void | FILTER_SO_set_y1 (FILTER_SO_Handle handle, const float_t y1)
| Sets the second-order filter output value at time sample n=-1. More...
static void | FILTER_SO_set_y2 (FILTER_SO_Handle handle, const float_t y2)
| Sets the second-order filter output value at time sample n=-2. More...
void | FILTER_SO_setDenCoeffs (FILTER_SO_Handle handle, const float_t a1, const float_t a2)
| Sets the second-order filter denominator coefficients. More...
void | FILTER_SO_setInitialConditions (FILTER_SO_Handle handle, const float_t x1, const float_t x2, const float_t y1, const float_t y2)
| Sets the initial conditions of the second-order filter. More...
void | FILTER_SO_setNumCoeffs (FILTER_SO_Handle handle, const float_t b0, const float_t b1, const float_t b2)
| Sets the second-order filter numerator coefficients. More...

## Detailed Description

## Data Structure Documentation

struct _FILTER_SO_

Defines the second-order filter (FILTER_SO) object.

Definition at line 71 of file 32b/filter_so.h.

Data Fields
_iq | a1 | the denominator filter coefficient value for z^(-1)
_iq | a2 | the denominator filter coefficient value for z^(-2)
_iq | b0 | the numerator filter coefficient value for z^0
_iq | b1 | the numerator filter coefficient value for z^(-1)
_iq | b2 | the numerator filter coefficient value for z^(-2)
_iq | x1 | the input value at time sample n=-1
_iq | x2 | the input value at time sample n=-2
_iq | y1 | the output value at time sample n=-1
_iq | y2 | the output value at time sample n=-2

struct _FILTER_SO_Obj_

Defines the second-order filter (FILTER_SO) object.

Definition at line 68 of file float/filter_so.h.

Data Fields
float_t | a1 | the denominator filter coefficient value for z^(-1)
float_t | a2 | the denominator filter coefficient value for z^(-2)
float_t | b0 | the numerator filter coefficient value for z^0
float_t | b1 | the numerator filter coefficient value for z^(-1)
float_t | b2 | the numerator filter coefficient value for z^(-2)
float_t | x1 | the input value at time sample n=-1
float_t | x2 | the input value at time sample n=-2
float_t | y1 | the output value at time sample n=-1
float_t | y2 | the output value at time sample n=-2

## Typedef Documentation

typedef struct _FILTER_SO_Obj_* FILTER_SO_Handle

Defines the second-order filter (FILTER_SO) handle.

Definition at line 87 of file float/filter_so.h.

typedef struct _FILTER_SO_Obj_* FILTER_SO_Handle

Defines the second-order filter (FILTER_SO) handle.

Definition at line 90 of file 32b/filter_so.h.

typedef struct _FILTER_SO_Obj_ FILTER_SO_Obj

Defines the second-order filter (FILTER_SO) object.

typedef struct _FILTER_SO_ FILTER_SO_Obj

Defines the second-order filter (FILTER_SO) object.

## Function Documentation

static _iq FILTER_SO_get_a1 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter denominator coefficient a1.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^(-1)

Definition at line 108 of file 32b/filter_so.h.

References _FILTER_SO_::a1.

static _iq FILTER_SO_get_a2 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter denominator coefficient a2.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^(-2)

Definition at line 119 of file 32b/filter_so.h.

References _FILTER_SO_::a2.

static _iq FILTER_SO_get_b0 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter numerator coefficient b0.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^0

Definition at line 130 of file 32b/filter_so.h.

References _FILTER_SO_::b0.

static _iq FILTER_SO_get_b1 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter numerator coefficient b1.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^(-1)

Definition at line 141 of file 32b/filter_so.h.

References _FILTER_SO_::b1.

static _iq FILTER_SO_get_b2 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter numerator coefficient b2.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^(-2)

Definition at line 152 of file 32b/filter_so.h.

References _FILTER_SO_::b2.

static _iq FILTER_SO_get_x1 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter input value at time sample n=-1.

Parameters

  [in] | handle | The filter handle

Returns
  The input value at time sample n=-1

Definition at line 163 of file 32b/filter_so.h.

References _FILTER_SO_::x1.

static _iq FILTER_SO_get_x2 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter input value at time sample n=-2.

Parameters

  [in] | handle | The filter handle

Returns
  The input value at time sample n=-2

Definition at line 174 of file 32b/filter_so.h.

References _FILTER_SO_::x2.

static _iq FILTER_SO_get_y1 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter output value at time sample n=-1.

Parameters

  [in] | handle | The filter handle

Returns
  The output value at time sample n=-1

Definition at line 185 of file 32b/filter_so.h.

References _FILTER_SO_::y1.

static _iq FILTER_SO_get_y2 | ( | FILTER_SO_Handle | handle | ) |
| inline static

Gets the second-order filter output value at time sample n=-2.

Parameters

  [in] | handle | The filter handle

Returns
  The output value at time sample n=-2

Definition at line 196 of file 32b/filter_so.h.

References _FILTER_SO_::y2.

void FILTER_SO_getDenCoeffs | ( | FILTER_SO_Handle | handle,
|  | float_t * | pa1,
|  | float_t * | pa2
| ) |  |

Gets the second-order filter denominator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | pa1 | The pointer to memory for the filter coefficient value for z^(-1)
  [in] | pa2 | The pointer to memory for the filter coefficient value for z^(-2)

Definition at line 57 of file float/filter_so.c.

References _FILTER_SO_::a1, and _FILTER_SO_::a2.

void FILTER_SO_getDenCoeffs | ( | FILTER_SO_Handle | handle,
|  | _iq * | pa1,
|  | _iq * | pa2
| ) |  |

Gets the second-order filter denominator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | pa1 | The pointer to memory for the filter coefficient value for z^(-1)
  [in] | pa2 | The pointer to memory for the filter coefficient value for z^(-2)

Definition at line 57 of file 32b/filter_so.c.

References _FILTER_SO_::a1, and _FILTER_SO_::a2.

void FILTER_SO_getInitialConditions | ( | FILTER_SO_Handle | handle,
|  | float_t * | px1,
|  | float_t * | px2,
|  | float_t * | py1,
|  | float_t * | py2
| ) |  |

Gets the initial conditions of the second-order filter.

Parameters

  [in] | handle | The filter handle
  [in] | px1 | The pointer to memory for the input value at time sample n=-1
  [in] | px2 | The pointer to memory for the input value at time sample n=-2
  [in] | py1 | The pointer to memory for the output value at time sample n=-1
  [in] | py2 | The pointer to memory for the output value at time sample n=-2

Definition at line 69 of file float/filter_so.c.

References _FILTER_SO_::x1, _FILTER_SO_::x2, _FILTER_SO_::y1, and _FILTER_SO_::y2.

void FILTER_SO_getInitialConditions | ( | FILTER_SO_Handle | handle,
|  | _iq * | px1,
|  | _iq * | px2,
|  | _iq * | py1,
|  | _iq * | py2
| ) |  |

Gets the initial conditions of the second-order filter.

Parameters

  [in] | handle | The filter handle
  [in] | px1 | The pointer to memory for the input value at time sample n=-1
  [in] | px2 | The pointer to memory for the input value at time sample n=-2
  [in] | py1 | The pointer to memory for the output value at time sample n=-1
  [in] | py2 | The pointer to memory for the output value at time sample n=-2

Definition at line 69 of file 32b/filter_so.c.

References _FILTER_SO_::x1, _FILTER_SO_::x2, _FILTER_SO_::y1, and _FILTER_SO_::y2.

void FILTER_SO_getNumCoeffs | ( | FILTER_SO_Handle | handle,
|  | float_t * | pb0,
|  | float_t * | pb1,
|  | float_t * | pb2
| ) |  |

Gets the second-order filter numerator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | pb0 | The pointer to memory for the filter coefficient value for z^0
  [in] | pb1 | The pointer to memory for the filter coefficient value for z^(-1)
  [in] | pb2 | The pointer to memory for the filter coefficient value for z^(-2)

Definition at line 85 of file float/filter_so.c.

References _FILTER_SO_::b0, _FILTER_SO_::b1, and _FILTER_SO_::b2.

void FILTER_SO_getNumCoeffs | ( | FILTER_SO_Handle | handle,
|  | _iq * | pb0,
|  | _iq * | pb1,
|  | _iq * | pb2
| ) |  |

Gets the second-order filter numerator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | pb0 | The pointer to memory for the filter coefficient value for z^0
  [in] | pb1 | The pointer to memory for the filter coefficient value for z^(-1)
  [in] | pb2 | The pointer to memory for the filter coefficient value for z^(-2)

Definition at line 85 of file 32b/filter_so.c.

References _FILTER_SO_::b0, _FILTER_SO_::b1, and _FILTER_SO_::b2.

FILTER_SO_Handle FILTER_SO_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the second-order filter.

Parameters

  [in] | pMemory | A pointer to the memory for the second-order filter object
  [in] | numBytes | The number of bytes allocated for the second-order filter object, bytes

Returns
  The filter (FILTER) object handle

Definition at line 98 of file 32b/filter_so.c.

static float_t FILTER_SO_run | ( | FILTER_SO_Handle | handle,
|  | const float_t | inputValue
| ) |  |
| inline static

Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] + b2*x[n-2] - a1*y[n-1] - a2*y[n-2].

Parameters

  [in] | handle | The filter handle
  [in] | inputValue | The input value to filter

Returns
  The output value from the filter

Definition at line 241 of file float/filter_so.h.

References _FILTER_SO_Obj_::a1, _FILTER_SO_::a1, _FILTER_SO_Obj_::a2, _FILTER_SO_::a2, _FILTER_SO_Obj_::b0, _FILTER_SO_::b0, _FILTER_SO_Obj_::b1, _FILTER_SO_::b1, _FILTER_SO_Obj_::b2, _FILTER_SO_::b2, _FILTER_SO_Obj_::x1, _FILTER_SO_::x1, _FILTER_SO_Obj_::x2, _FILTER_SO_::x2, _FILTER_SO_Obj_::y1, _FILTER_SO_::y1, _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static _iq FILTER_SO_run | ( | FILTER_SO_Handle | handle,
|  | const _iq | inputValue
| ) |  |
| inline static

Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] + b2*x[n-2] - a1*y[n-1] - a2*y[n-2].

Parameters

  [in] | handle | The filter handle
  [in] | inputValue | The input value to filter

Returns
  The output value from the filter

Definition at line 241 of file 32b/filter_so.h.

References _IQmpy, _FILTER_SO_Obj_::a1, _FILTER_SO_::a1, _FILTER_SO_Obj_::a2, _FILTER_SO_::a2, _FILTER_SO_Obj_::b0, _FILTER_SO_::b0, _FILTER_SO_Obj_::b1, _FILTER_SO_::b1, _FILTER_SO_Obj_::b2, _FILTER_SO_::b2, _FILTER_SO_Obj_::x1, _FILTER_SO_::x1, _FILTER_SO_Obj_::x2, _FILTER_SO_::x2, _FILTER_SO_Obj_::y1, _FILTER_SO_::y1, _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static float_t FILTER_SO_run_form_0 | ( | FILTER_SO_Handle | handle,
|  | const float_t | inputValue
| ) |  |
| inline static

Runs a simplified second-order filter of the form y[n] = b0*x[n] - a1*y[n-1] - a2*y[n-2].

Parameters

  [in] | handle | The filter handle
  [in] | inputValue | The input value to filter

Returns
  The output value from the filter

Definition at line 276 of file float/filter_so.h.

References _FILTER_SO_Obj_::a1, _FILTER_SO_::a1, _FILTER_SO_Obj_::a2, _FILTER_SO_::a2, _FILTER_SO_Obj_::b0, _FILTER_SO_::b0, _FILTER_SO_Obj_::y1, _FILTER_SO_::y1, _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static _iq FILTER_SO_run_form_0 | ( | FILTER_SO_Handle | handle,
|  | const _iq | inputValue
| ) |  |
| inline static

Runs a simplified second-order filter of the form y[n] = b0*x[n] - a1*y[n-1] - a2*y[n-2].

Parameters

  [in] | handle | The filter handle
  [in] | inputValue | The input value to filter

Returns
  The output value from the filter

Definition at line 277 of file 32b/filter_so.h.

References _IQmpy, _FILTER_SO_Obj_::a1, _FILTER_SO_::a1, _FILTER_SO_Obj_::a2, _FILTER_SO_::a2, _FILTER_SO_Obj_::b0, _FILTER_SO_::b0, _FILTER_SO_Obj_::y1, _FILTER_SO_::y1, _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static float_t FILTER_SO_run_form_1 | ( | FILTER_SO_Handle | handle,
|  | const float_t | inputValue
| ) |  |
| inline static

Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] - a1*y[n-1] - a2*y[n-2].

Parameters

  [in] | handle | The filter handle
  [in] | inputValue | The input value to filter

Returns
  The output value from the filter

Definition at line 305 of file float/filter_so.h.

References _FILTER_SO_Obj_::a1, _FILTER_SO_::a1, _FILTER_SO_Obj_::a2, _FILTER_SO_::a2, _FILTER_SO_Obj_::b0, _FILTER_SO_::b0, _FILTER_SO_Obj_::b1, _FILTER_SO_::b1, _FILTER_SO_Obj_::x1, _FILTER_SO_::x1, _FILTER_SO_Obj_::y1, _FILTER_SO_::y1, _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static _iq FILTER_SO_run_form_1 | ( | FILTER_SO_Handle | handle,
|  | const _iq | inputValue
| ) |  |
| inline static

Runs a second-order filter of the form y[n] = b0*x[n] + b1*x[n-1] - a1*y[n-1] - a2*y[n-2].

Parameters

  [in] | handle | The filter handle
  [in] | inputValue | The input value to filter

Returns
  The output value from the filter

Definition at line 306 of file 32b/filter_so.h.

References _IQmpy, _FILTER_SO_Obj_::a1, _FILTER_SO_::a1, _FILTER_SO_Obj_::a2, _FILTER_SO_::a2, _FILTER_SO_Obj_::b0, _FILTER_SO_::b0, _FILTER_SO_Obj_::b1, _FILTER_SO_::b1, _FILTER_SO_Obj_::x1, _FILTER_SO_::x1, _FILTER_SO_Obj_::y1, _FILTER_SO_::y1, _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static void FILTER_SO_set_a1 | ( | FILTER_SO_Handle | handle,
|  | const float_t | a1
| ) |  |
| inline static

Sets the second-order filter denominator coefficient a1.

Parameters

  [in] | handle | The filter handle
  [in] | a1 | The filter coefficient value for z^(-1)

Definition at line 334 of file float/filter_so.h.

References _FILTER_SO_Obj_::a1, and _FILTER_SO_::a1.

static void FILTER_SO_set_a1 | ( | FILTER_SO_Handle | handle,
|  | const _iq | a1
| ) |  |
| inline static

Sets the second-order filter denominator coefficient a1.

Parameters

  [in] | handle | The filter handle
  [in] | a1 | The filter coefficient value for z^(-1)

Definition at line 336 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::a1, and _FILTER_SO_::a1.

static void FILTER_SO_set_a2 | ( | FILTER_SO_Handle | handle,
|  | const float_t | a2
| ) |  |
| inline static

Sets the second-order filter denominator coefficient a2.

Parameters

  [in] | handle | The filter handle
  [in] | a2 | The filter coefficient value for z^(-2)

Definition at line 347 of file float/filter_so.h.

References _FILTER_SO_Obj_::a2, and _FILTER_SO_::a2.

static void FILTER_SO_set_a2 | ( | FILTER_SO_Handle | handle,
|  | const _iq | a2
| ) |  |
| inline static

Sets the second-order filter denominator coefficient a2.

Parameters

  [in] | handle | The filter handle
  [in] | a2 | The filter coefficient value for z^(-2)

Definition at line 349 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::a2, and _FILTER_SO_::a2.

static void FILTER_SO_set_b0 | ( | FILTER_SO_Handle | handle,
|  | const float_t | b0
| ) |  |
| inline static

Sets the second-order filter numerator coefficient b0.

Parameters

  [in] | handle | The filter handle
  [in] | b0 | The filter coefficient value for z^0

Definition at line 360 of file float/filter_so.h.

References _FILTER_SO_Obj_::b0, and _FILTER_SO_::b0.

static void FILTER_SO_set_b0 | ( | FILTER_SO_Handle | handle,
|  | const _iq | b0
| ) |  |
| inline static

Sets the second-order filter numerator coefficient b0.

Parameters

  [in] | handle | The filter handle
  [in] | b0 | The filter coefficient value for z^0

Definition at line 362 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::b0, and _FILTER_SO_::b0.

static void FILTER_SO_set_b1 | ( | FILTER_SO_Handle | handle,
|  | const float_t | b1
| ) |  |
| inline static

Sets the second-order filter numerator coefficient b1.

Parameters

  [in] | handle | The filter handle
  [in] | b1 | The filter coefficient value for z^(-1)

Definition at line 373 of file float/filter_so.h.

References _FILTER_SO_Obj_::b1, and _FILTER_SO_::b1.

static void FILTER_SO_set_b1 | ( | FILTER_SO_Handle | handle,
|  | const _iq | b1
| ) |  |
| inline static

Sets the second-order filter numerator coefficient b1.

Parameters

  [in] | handle | The filter handle
  [in] | b1 | The filter coefficient value for z^(-1)

Definition at line 375 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::b1, and _FILTER_SO_::b1.

static void FILTER_SO_set_b2 | ( | FILTER_SO_Handle | handle,
|  | const float_t | b2
| ) |  |
| inline static

Sets the second-order filter numerator coefficient b2.

Parameters

  [in] | handle | The filter handle
  [in] | b2 | The filter coefficient value for z^(-2)

Definition at line 386 of file float/filter_so.h.

References _FILTER_SO_Obj_::b2, and _FILTER_SO_::b2.

static void FILTER_SO_set_b2 | ( | FILTER_SO_Handle | handle,
|  | const _iq | b2
| ) |  |
| inline static

Sets the second-order filter numerator coefficient b2.

Parameters

  [in] | handle | The filter handle
  [in] | b2 | The filter coefficient value for z^(-2)

Definition at line 388 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::b2, and _FILTER_SO_::b2.

static void FILTER_SO_set_x1 | ( | FILTER_SO_Handle | handle,
|  | const float_t | x1
| ) |  |
| inline static

Sets the second-order filter input value at time sample n=-1.

Parameters

  [in] | handle | The filter handle
  [in] | x1 | The input value at time sample n=-1

Definition at line 399 of file float/filter_so.h.

References _FILTER_SO_Obj_::x1, and _FILTER_SO_::x1.

static void FILTER_SO_set_x1 | ( | FILTER_SO_Handle | handle,
|  | const _iq | x1
| ) |  |
| inline static

Sets the second-order filter input value at time sample n=-1.

Parameters

  [in] | handle | The filter handle
  [in] | x1 | The input value at time sample n=-1

Definition at line 401 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::x1, and _FILTER_SO_::x1.

static void FILTER_SO_set_x2 | ( | FILTER_SO_Handle | handle,
|  | const float_t | x2
| ) |  |
| inline static

Sets the second-order filter input value at time sample n=-2.

Parameters

  [in] | handle | The filter handle
  [in] | x2 | The input value at time sample n=-2

Definition at line 412 of file float/filter_so.h.

References _FILTER_SO_Obj_::x2, and _FILTER_SO_::x2.

static void FILTER_SO_set_x2 | ( | FILTER_SO_Handle | handle,
|  | const _iq | x2
| ) |  |
| inline static

Sets the second-order filter input value at time sample n=-2.

Parameters

  [in] | handle | The filter handle
  [in] | x2 | The input value at time sample n=-2

Definition at line 414 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::x2, and _FILTER_SO_::x2.

static void FILTER_SO_set_y1 | ( | FILTER_SO_Handle | handle,
|  | const float_t | y1
| ) |  |
| inline static

Sets the second-order filter output value at time sample n=-1.

Parameters

  [in] | handle | The filter handle
  [in] | y1 | The output value at time sample n=-1

Definition at line 425 of file float/filter_so.h.

References _FILTER_SO_Obj_::y1, and _FILTER_SO_::y1.

static void FILTER_SO_set_y1 | ( | FILTER_SO_Handle | handle,
|  | const _iq | y1
| ) |  |
| inline static

Sets the second-order filter output value at time sample n=-1.

Parameters

  [in] | handle | The filter handle
  [in] | y1 | The output value at time sample n=-1

Definition at line 427 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::y1, and _FILTER_SO_::y1.

static void FILTER_SO_set_y2 | ( | FILTER_SO_Handle | handle,
|  | const float_t | y2
| ) |  |
| inline static

Sets the second-order filter output value at time sample n=-2.

Parameters

  [in] | handle | The filter handle
  [in] | y2 | The output value at time sample n=-2

Definition at line 438 of file float/filter_so.h.

References _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

static void FILTER_SO_set_y2 | ( | FILTER_SO_Handle | handle,
|  | const _iq | y2
| ) |  |
| inline static

Sets the second-order filter output value at time sample n=-2.

Parameters

  [in] | handle | The filter handle
  [in] | y2 | The output value at time sample n=-2

Definition at line 440 of file 32b/filter_so.h.

References _FILTER_SO_Obj_::y2, and _FILTER_SO_::y2.

void FILTER_SO_setDenCoeffs | ( | FILTER_SO_Handle | handle,
|  | const float_t | a1,
|  | const float_t | a2
| ) |  |

Sets the second-order filter denominator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | a1 | The filter coefficient value for z^(-1)
  [in] | a2 | The filter coefficient value for z^(-2)

Definition at line 118 of file float/filter_so.c.

References _FILTER_FO_Obj_::a1, _FILTER_SO_::a1, and _FILTER_SO_::a2.

void FILTER_SO_setDenCoeffs | ( | FILTER_SO_Handle | handle,
|  | const _iq | a1,
|  | const _iq | a2
| ) |  |

Sets the second-order filter denominator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | a1 | The filter coefficient value for z^(-1)
  [in] | a2 | The filter coefficient value for z^(-2)

Definition at line 113 of file 32b/filter_so.c.

References _FILTER_FO_Obj_::a1, _FILTER_SO_::a1, and _FILTER_SO_::a2.

void FILTER_SO_setInitialConditions | ( | FILTER_SO_Handle | handle,
|  | const float_t | x1,
|  | const float_t | x2,
|  | const float_t | y1,
|  | const float_t | y2
| ) |  |

Sets the initial conditions of the second-order filter.

Parameters

  [in] | handle | The filter handle
  [in] | x1 | The input value at time sample n=-1
  [in] | x2 | The input value at time sample n=-2
  [in] | y1 | The output value at time sample n=-1
  [in] | y2 | The output value at time sample n=-2

Definition at line 130 of file float/filter_so.c.

References _FILTER_FO_Obj_::x1, _FILTER_SO_::x1, _FILTER_SO_::x2, _FILTER_FO_Obj_::y1, _FILTER_SO_::y1, and _FILTER_SO_::y2.

void FILTER_SO_setInitialConditions | ( | FILTER_SO_Handle | handle,
|  | const _iq | x1,
|  | const _iq | x2,
|  | const _iq | y1,
|  | const _iq | y2
| ) |  |

Sets the initial conditions of the second-order filter.

Parameters

  [in] | handle | The filter handle
  [in] | x1 | The input value at time sample n=-1
  [in] | x2 | The input value at time sample n=-2
  [in] | y1 | The output value at time sample n=-1
  [in] | y2 | The output value at time sample n=-2

Definition at line 125 of file 32b/filter_so.c.

References _FILTER_FO_Obj_::x1, _FILTER_SO_::x1, _FILTER_SO_::x2, _FILTER_FO_Obj_::y1, _FILTER_SO_::y1, and _FILTER_SO_::y2.

void FILTER_SO_setNumCoeffs | ( | FILTER_SO_Handle | handle,
|  | const float_t | b0,
|  | const float_t | b1,
|  | const float_t | b2
| ) |  |

Sets the second-order filter numerator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | b0 | The filter coefficient value for z^0
  [in] | b1 | The filter coefficient value for z^(-1)
  [in] | b2 | The filter coefficient value for z^(-2)

Definition at line 146 of file float/filter_so.c.

References _FILTER_FO_Obj_::b0, _FILTER_SO_::b0, _FILTER_FO_Obj_::b1, _FILTER_SO_::b1, and _FILTER_SO_::b2.

void FILTER_SO_setNumCoeffs | ( | FILTER_SO_Handle | handle,
|  | const _iq | b0,
|  | const _iq | b1,
|  | const _iq | b2
| ) |  |

Sets the second-order filter numerator coefficients.

Parameters

  [in] | handle | The filter handle
  [in] | b0 | The filter coefficient value for z^0
  [in] | b1 | The filter coefficient value for z^(-1)
  [in] | b2 | The filter coefficient value for z^(-2)

Definition at line 141 of file 32b/filter_so.c.

References _FILTER_FO_Obj_::b0, _FILTER_SO_::b0, _FILTER_FO_Obj_::b1, _FILTER_SO_::b1, and _FILTER_SO_::b2.